Bug 134112 - system-config-network hangs after updating eth0 configuration
system-config-network hangs after updating eth0 configuration
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2004-09-29 13:36 EDT by David Anderson
Modified: 2008-05-06 20:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:01:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace (4.30 KB, text/plain)
2004-10-04 06:41 EDT, David Anderson
no flags Details
My previous /etc/sysconfig/networking/profiles/default/hosts (698.61 KB, text/plain)
2004-10-13 05:53 EDT, David Anderson
no flags Details

  None (edit)
Description David Anderson 2004-09-29 13:36:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2) (KHTML, like Gecko)

Description of problem:
My (Dell Inspiron 515) laptop contains a broadcom Ethernet card, and I also have a Netgear WG511T wireless Cardbus card, which is Atheros based. I have madwifi drivers installed, but I don't use the card at the moment.

When editing the eth0 settings (changing from DHCP to static - in order to get into the 169.254. range to speak to a friend's computer via crossover), after pressing save, the application just hangs.

The change gets written out to the filesystem, so I just kill system-config-network and forget about it. Quite annoying though.

This only began happenning recently, so I'm flummoxed. i.e., all the time I was setting up my networking I had no problems. Maybe some new package has conflicted? I'm clueless.

Version-Release number of selected component (if applicable):
1.3.17-0.FC2.1

How reproducible:
Always

Steps to Reproduce:
1. Edit eth0 settings
2. Save

    

Actual Results:  Hangs

Expected Results:  Doesn't hang

Additional info:
Comment 1 David Anderson 2004-10-02 05:11:26 EDT
I think I remember when the problem began, now; when I added the host 
list to /etc/hosts from http://everythingisnt.com/hosts.html 
 
My /etc/hosts looks like this: 
 
>>> 
 
# Do not remove the following line, or various programs 
# that require network functionality will fail. 
127.0.0.1       localhost.localdomain   localhost 
192.168.1.1     adsl 
192.168.1.2     study 
192.168.1.3     shed-wifi 
192.168.1.4     shed shed-eth 
192.168.1.5     corner 
192.168.1.254   ceiling 
 
# This Hosts file has been altered to block ad servers. 
# To restore the file just 
# delete everything below the first entry or rename hosts.nbk 
# to hosts and move it to the proper directory. 
# Updated: Datestamp below 
# This is an ad blocking hosts file compiled by 
# Mike Skallas(user245(at)hotmail.com) 
# Available at http://everythingisnt.com/hosts.html 
# Copyright 2000-2004. Please do not redistribute, use above link. 
# Free only for Residential/Non-Profit use. 
# Just add '127.0.0.1 ADSERVER' to the bottom to continue the list. 
 
 
127.0.0.1 www.doubleclick.net 
127.0.0.1 ad.doubleclick.net #remove this for atomfilms problems 
127.0.0.1 ad.preferences.com 
127.0.0.1 ads.doubleclick.com 
(etc.) 
 
<<< 
 
In system-config-network, only the first set of 192.168.0. stuff 
shows up in the hosts tab. 
 
Here's what I get when I strace the hung process: 
 
# Do not remove the following line, or various programs 
# that require network functionality will fail. 
127.0.0.1       localhost.localdomain   localhost 
192.168.1.1     adsl 
192.168.1.2     study 
192.168.1.3     shed-wifi 
192.168.1.4     shed shed-eth 
192.168.1.5     corner 
192.168.1.254   ceiling 
 
# This Hosts file has been altered to block ad servers. 
# To restore the file just 
# delete everything below the first entry or rename hosts.nbk 
# to hosts and move it to the proper directory. 
# Updated: Datestamp below 
# This is an ad blocking hosts file compiled by 
# Mike Skallas(user245(at)hotmail.com) 
# Available at http://everythingisnt.com/hosts.html 
# Copyright 2000-2004. Please do not redistribute, use above link. 
# Free only for Residential/Non-Profit use. 
# Just add '127.0.0.1 ADSERVER' to the bottom to continue the list. 
 
 
127.0.0.1 www.doubleclick.net 
127.0.0.1 ad.doubleclick.net #remove this for atomfilms problems 
127.0.0.1 ad.preferences.com 
127.0.0.1 ads.doubleclick.com 
 
Comment 2 David Anderson 2004-10-02 05:12:28 EDT
Oops - _this_ is what I get when I strace the hung process: 
 
[root@shed david]# strace -p 4362 
Process 4362 attached - interrupt to quit 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
futex(0x9c84998, FUTEX_WAKE, 1)         = 0 
 
... and so on ... 
 
Comment 3 Harald Hoyer 2004-10-04 04:26:56 EDT
hmm... could you trace it with gdb and post the backtrace?
# gdb <pid> /usr/bin/python
> bt
Comment 4 David Anderson 2004-10-04 06:41:55 EDT
Created attachment 104712 [details]
gdb backtrace

Backtrace attached as requested.
Comment 5 Harald Hoyer 2004-10-04 06:48:19 EDT
hmm, is it possible, that you start system-control-network, the press
the button "Configure", close the old system-control-network windows
and work with the system-config-network after that?
Comment 6 David Anderson 2004-10-04 14:37:17 EDT
I normally load system-config-network by typing 
"system-config-network" at a terminal, or from the Start menu... is 
that the information you're asking for? (I suspect we have different 
first langauges!) 
 
Whichever way I load it (including the way you mention), it still 
hangs on save. 
Comment 7 David Anderson 2004-10-13 05:53:16 EDT
Created attachment 105133 [details]
My previous /etc/sysconfig/networking/profiles/default/hosts

I discovered that /etc/sysconfig/networking/profiles/default/hosts 
was a 699K file from a previous ad-blocker hosts file I had been 
using... I deleted this, and copied /etc/hosts, a 32K ad-blocker 
hosts file. This fixed it. My guess is that it was just taking an 
enormously long time to process... some optimization needed? It still 
takes about 10 seconds to do a save (on a Pentium 4 2.8Ghz 512Mb RAM) 
with the 32K file, so I guess that the 699K file was just taking 
forever (bad algorithm in the code somewhere?) 
 
Are /etc/sysconfig/networking/profiles/default/hosts  and /etc/hosts meant to
have the same inode? Mine didn't, probably because I'd manually moved/edited
them.
Comment 8 Matthew Miller 2005-04-26 12:03:44 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 9 David Anderson 2005-07-12 17:31:22 EDT
This issue still exists in FC4 - i.e., if you have a large /etc/hosts file,  
then system-config-network takes an inordinately long time to process it when  
saving. My present /etc/hosts file is 32K, and I've just timed that it takes 
s-c-n 19 seconds (on a Pentium 4 mobile 2.8GHz) to do a "Save" operation.  
Comment 11 Harald Hoyer 2006-05-22 07:35:14 EDT
yep... a tracker... don't worry...
Comment 12 Christian Iseli 2007-01-22 06:02:11 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 13 David Anderson 2007-01-22 09:36:27 EST
Still exists.
Comment 14 Bug Zapper 2008-04-03 11:40:34 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 15 Bug Zapper 2008-05-06 20:01:05 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.